Index: LMDZ6/trunk/libf/phylmdiso/cv30_routines.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/cv30_routines.F90	(revision 5274)
+++ LMDZ6/trunk/libf/phylmdiso/cv30_routines.F90	(revision 5275)
@@ -2668,4 +2668,6 @@
 #endif
 
+  USE cvflag_mod_h, ONLY: icvflag_Tpa, cvflag_grav, cvflag_ice, ok_optim_yield, ok_entrain, ok_homo_tend, &
+          ok_convstop, ok_intermittent, cvflag_prec_eject, qsat_depends_on_qt, adiab_ascent_mass_flux_depends_on_ejectliq, keepbug_ice_frac
   IMPLICIT NONE
 
@@ -2673,5 +2675,4 @@
   include "cvthermo.h"
   include "cv30param.h"
-  include "cvflag.h"
 
   ! inputs:
@@ -3402,9 +3403,10 @@
 #endif
 
+  USE cvflag_mod_h, ONLY: icvflag_Tpa, cvflag_grav, cvflag_ice, ok_optim_yield, ok_entrain, ok_homo_tend, &
+          ok_convstop, ok_intermittent, cvflag_prec_eject, qsat_depends_on_qt, adiab_ascent_mass_flux_depends_on_ejectliq, keepbug_ice_frac
   IMPLICIT NONE
 
   include "cvthermo.h"
   include "cv30param.h"
-  include "cvflag.h"
   include "conema3.h"
 
Index: LMDZ6/trunk/libf/phylmdiso/cv3_routines.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/cv3_routines.F90	(revision 5274)
+++ LMDZ6/trunk/libf/phylmdiso/cv3_routines.F90	(revision 5275)
@@ -7,4 +7,6 @@
 SUBROUTINE cv3_param(nd, k_upper, delt)
 
+  USE cvflag_mod_h, ONLY: icvflag_Tpa, cvflag_grav, cvflag_ice, ok_optim_yield, ok_entrain, ok_homo_tend, &
+          ok_convstop, ok_intermittent, cvflag_prec_eject, qsat_depends_on_qt, adiab_ascent_mass_flux_depends_on_ejectliq, keepbug_ice_frac
   USE ioipsl_getin_p_mod, ONLY : getin_p
   use mod_phys_lmdz_para
@@ -36,5 +38,4 @@
 
   include "cv3param.h"
-  include "cvflag.h"
   include "conema3.h"
 
@@ -184,5 +185,7 @@
 SUBROUTINE cv3_incrcount(len, nd, delt, sig)
 
-IMPLICIT NONE
+USE cvflag_mod_h, ONLY: icvflag_Tpa, cvflag_grav, cvflag_ice, ok_optim_yield, ok_entrain, ok_homo_tend, &
+          ok_convstop, ok_intermittent, cvflag_prec_eject, qsat_depends_on_qt, adiab_ascent_mass_flux_depends_on_ejectliq, keepbug_ice_frac
+  IMPLICIT NONE
 
 ! =====================================================================
@@ -191,5 +194,4 @@
 
   include "cv3param.h"
-  include "cvflag.h"
 
 !inputs:
@@ -1482,4 +1484,6 @@
 #endif
 #endif
+  USE cvflag_mod_h, ONLY: icvflag_Tpa, cvflag_grav, cvflag_ice, ok_optim_yield, ok_entrain, ok_homo_tend, &
+          ok_convstop, ok_intermittent, cvflag_prec_eject, qsat_depends_on_qt, adiab_ascent_mass_flux_depends_on_ejectliq, keepbug_ice_frac
   IMPLICIT NONE
 
@@ -1505,5 +1509,4 @@
   include "cv3param.h"
   include "conema3.h"
-  include "cvflag.h"
   include "YOMCST2.h"
 
@@ -2781,4 +2784,6 @@
 #endif
 #endif
+  USE cvflag_mod_h, ONLY: icvflag_Tpa, cvflag_grav, cvflag_ice, ok_optim_yield, ok_entrain, ok_homo_tend, &
+          ok_convstop, ok_intermittent, cvflag_prec_eject, qsat_depends_on_qt, adiab_ascent_mass_flux_depends_on_ejectliq, keepbug_ice_frac
   IMPLICIT NONE
 
@@ -2790,5 +2795,4 @@
   include "cvthermo.h"
   include "cv3param.h"
-  include "cvflag.h"
 
 !inputs:
@@ -3608,4 +3612,6 @@
 #endif
 #endif
+  USE cvflag_mod_h, ONLY: icvflag_Tpa, cvflag_grav, cvflag_ice, ok_optim_yield, ok_entrain, ok_homo_tend, &
+          ok_convstop, ok_intermittent, cvflag_prec_eject, qsat_depends_on_qt, adiab_ascent_mass_flux_depends_on_ejectliq, keepbug_ice_frac
   IMPLICIT NONE
 
@@ -3613,5 +3619,4 @@
   include "cvthermo.h"
   include "cv3param.h"
-  include "cvflag.h"
   include "nuage.h"
 
@@ -4720,9 +4725,10 @@
 #endif
 #endif
+  USE cvflag_mod_h, ONLY: icvflag_Tpa, cvflag_grav, cvflag_ice, ok_optim_yield, ok_entrain, ok_homo_tend, &
+          ok_convstop, ok_intermittent, cvflag_prec_eject, qsat_depends_on_qt, adiab_ascent_mass_flux_depends_on_ejectliq, keepbug_ice_frac
   IMPLICIT NONE
 
   include "cvthermo.h"
   include "cv3param.h"
-  include "cvflag.h"
   include "conema3.h"
 
@@ -7609,5 +7615,7 @@
                  , pbase, p, ph, tv, buoy, sig, w0,iflag &
                  , epmax_diag)
-        implicit none
+        USE cvflag_mod_h, ONLY: icvflag_Tpa, cvflag_grav, cvflag_ice, ok_optim_yield, ok_entrain, ok_homo_tend, &
+          ok_convstop, ok_intermittent, cvflag_prec_eject, qsat_depends_on_qt, adiab_ascent_mass_flux_depends_on_ejectliq, keepbug_ice_frac
+  implicit none
 
         ! On fait varier epmax en fn de la cape
@@ -7617,7 +7625,6 @@
 
   include "cvthermo.h"
-  include "cv3param.h"  
+  include "cv3param.h"
   include "conema3.h"
-  include "cvflag.h"
 
 ! inputs:
Index: LMDZ6/trunk/libf/phylmdiso/cv3p_mixing.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/cv3p_mixing.F90	(revision 5274)
+++ LMDZ6/trunk/libf/phylmdiso/cv3p_mixing.F90	(revision 5275)
@@ -39,4 +39,6 @@
 #endif
 #endif
+  USE cvflag_mod_h, ONLY: icvflag_Tpa, cvflag_grav, cvflag_ice, ok_optim_yield, ok_entrain, ok_homo_tend, &
+          ok_convstop, ok_intermittent, cvflag_prec_eject, qsat_depends_on_qt, adiab_ascent_mass_flux_depends_on_ejectliq, keepbug_ice_frac
   IMPLICIT NONE
 
@@ -44,5 +46,4 @@
   include "cv3param.h"
   include "YOMCST2.h"
-  include "cvflag.h"
 
 !inputs:
Index: LMDZ6/trunk/libf/phylmdiso/cv_driver.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/cv_driver.F90	(revision 5274)
+++ LMDZ6/trunk/libf/phylmdiso/cv_driver.F90	(revision 5275)
@@ -1229,4 +1229,6 @@
 SUBROUTINE cv_flag(iflag_ice_thermo)
 
+  USE cvflag_mod_h, ONLY: icvflag_Tpa, cvflag_grav, cvflag_ice, ok_optim_yield, ok_entrain, ok_homo_tend, &
+          ok_convstop, ok_intermittent, cvflag_prec_eject, qsat_depends_on_qt, adiab_ascent_mass_flux_depends_on_ejectliq, keepbug_ice_frac
   USE ioipsl_getin_p_mod, ONLY : getin_p
 
@@ -1249,5 +1251,4 @@
   INTEGER iflag_ice_thermo
 
-  include "cvflag.h"
 
   ! -- si .TRUE., on rend la gravite plus explicite et eventuellement
Index: LMDZ6/trunk/libf/phylmdiso/cvflag.h
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/cvflag.h	(revision 5274)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/cvflag.h
Index: LMDZ6/trunk/libf/phylmdiso/cvflag_mod_h.f90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/cvflag_mod_h.f90	(revision 5275)
+++ LMDZ6/trunk/libf/phylmdiso/cvflag_mod_h.f90	(revision 5275)
@@ -0,0 +1,1 @@
+link ../phylmd/cvflag_mod_h.f90