Index: LMDZ6/trunk/libf/phylmdiso/cv30_routines.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/cv30_routines.F90	(revision 5275)
+++ LMDZ6/trunk/libf/phylmdiso/cv30_routines.F90	(revision 5276)
@@ -5,4 +5,6 @@
 
 SUBROUTINE cv30_param(nd, delt)
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   IMPLICIT NONE
 
@@ -85,4 +87,6 @@
 SUBROUTINE cv30_prelim(len, nd, ndp1, t, q, p, ph, lv, cpn, tv, gz, h, hm, &
     th)
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   IMPLICIT NONE
 
@@ -108,5 +112,4 @@
   REAL cpx(len, nd)
 
-  include "cvthermo.h"
   include "cv30param.h"
 
@@ -389,4 +392,6 @@
 #endif
 
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   IMPLICIT NONE
 
@@ -404,5 +409,4 @@
   ! ----------------------------------------------------------------
 
-  include "cvthermo.h"
   include "cv30param.h"
 
@@ -1150,4 +1154,6 @@
 #endif
 #endif
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   IMPLICIT NONE
 
@@ -1170,5 +1176,4 @@
   ! ---------------------------------------------------------------------
 
-  include "cvthermo.h"
   include "cv30param.h"
   include "conema3.h"
@@ -1615,4 +1620,6 @@
 SUBROUTINE cv30_closure(nloc, ncum, nd, icb, inb, pbase, p, ph, tv, buoy, &
     sig, w0, cape, m)
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   IMPLICIT NONE
 
@@ -1623,5 +1630,4 @@
   ! ===================================================================
 
-  include "cvthermo.h"
   include "cv30param.h"
 
@@ -1851,4 +1857,6 @@
 #endif
 #endif
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   IMPLICIT NONE
 
@@ -1859,5 +1867,4 @@
   ! ---------------------------------------------------------------------
 
-  include "cvthermo.h"
   include "cv30param.h"
 
@@ -2668,4 +2675,6 @@
 #endif
 
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   USE cvflag_mod_h, ONLY: icvflag_Tpa, cvflag_grav, cvflag_ice, ok_optim_yield, ok_entrain, ok_homo_tend, &
           ok_convstop, ok_intermittent, cvflag_prec_eject, qsat_depends_on_qt, adiab_ascent_mass_flux_depends_on_ejectliq, keepbug_ice_frac
@@ -2673,5 +2682,4 @@
 
 
-  include "cvthermo.h"
   include "cv30param.h"
 
@@ -3403,9 +3411,10 @@
 #endif
 
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   USE cvflag_mod_h, ONLY: icvflag_Tpa, cvflag_grav, cvflag_ice, ok_optim_yield, ok_entrain, ok_homo_tend, &
           ok_convstop, ok_intermittent, cvflag_prec_eject, qsat_depends_on_qt, adiab_ascent_mass_flux_depends_on_ejectliq, keepbug_ice_frac
   IMPLICIT NONE
 
-  include "cvthermo.h"
   include "cv30param.h"
   include "conema3.h"
@@ -6355,5 +6364,7 @@
                 ,cape,ep,hp,icb,inb,clw,nk,t,h,lv &
                 ,epmax_diag)
-        implicit none
+        USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
+implicit none
 
         ! On fait varier epmax en fn de la cape
@@ -6362,5 +6373,4 @@
         ! Toutes les autres variables fn de ep sont calculees plus bas.
 
-INCLUDE "cvthermo.h"
 INCLUDE "cv30param.h"
 INCLUDE "conema3.h"
Index: LMDZ6/trunk/libf/phylmdiso/cv3_enthalpmix.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/cv3_enthalpmix.F90	(revision 5275)
+++ LMDZ6/trunk/libf/phylmdiso/cv3_enthalpmix.F90	(revision 5276)
@@ -18,4 +18,6 @@
   ! **************************************************************
 
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
@@ -41,5 +43,4 @@
   ! ===============================================================
 
-  include "cvthermo.h"
   include "YOETHF.h"
 
Index: LMDZ6/trunk/libf/phylmdiso/cv3_estatmix.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/cv3_estatmix.F90	(revision 5275)
+++ LMDZ6/trunk/libf/phylmdiso/cv3_estatmix.F90	(revision 5276)
@@ -19,4 +19,6 @@
   ! ****************************************************************
 
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
@@ -42,5 +44,4 @@
   ! ===============================================================
 
-  include "cvthermo.h"
   include "YOETHF.h"
 
Index: LMDZ6/trunk/libf/phylmdiso/cv3_routines.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/cv3_routines.F90	(revision 5275)
+++ LMDZ6/trunk/libf/phylmdiso/cv3_routines.F90	(revision 5276)
@@ -185,5 +185,7 @@
 SUBROUTINE cv3_incrcount(len, nd, delt, sig)
 
-USE cvflag_mod_h, ONLY: icvflag_Tpa, cvflag_grav, cvflag_ice, ok_optim_yield, ok_entrain, ok_homo_tend, &
+USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
+  USE cvflag_mod_h, ONLY: icvflag_Tpa, cvflag_grav, cvflag_ice, ok_optim_yield, ok_entrain, ok_homo_tend, &
           ok_convstop, ok_intermittent, cvflag_prec_eject, qsat_depends_on_qt, adiab_ascent_mass_flux_depends_on_ejectliq, keepbug_ice_frac
   IMPLICIT NONE
@@ -226,4 +228,6 @@
 SUBROUTINE cv3_prelim(len, nd, ndp1, t, q, p, ph, &
                       lv, lf, cpn, tv, gz, h, hm, th)
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   IMPLICIT NONE
 
@@ -249,5 +253,4 @@
   REAL cpx(len, nd)
 
-  include "cvthermo.h"
   include "cv3param.h"
 
@@ -323,4 +326,6 @@
 #endif
 
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   USE mod_phys_lmdz_transfert_para, ONLY : bcast
   USE add_phys_tend_mod, ONLY: fl_cor_ebil
@@ -344,5 +349,4 @@
 
   include "cv3param.h"
-  include "cvthermo.h"
 
 !inputs:
@@ -701,4 +705,6 @@
 #endif
 #endif
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   IMPLICIT NONE
 
@@ -716,5 +722,4 @@
 ! ----------------------------------------------------------------
 
-  include "cvthermo.h"
   include "cv3param.h"
 
@@ -1484,4 +1489,6 @@
 #endif
 #endif
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   USE cvflag_mod_h, ONLY: icvflag_Tpa, cvflag_grav, cvflag_ice, ok_optim_yield, ok_entrain, ok_homo_tend, &
           ok_convstop, ok_intermittent, cvflag_prec_eject, qsat_depends_on_qt, adiab_ascent_mass_flux_depends_on_ejectliq, keepbug_ice_frac
@@ -1506,5 +1513,4 @@
 ! ---------------------------------------------------------------------
 
-  include "cvthermo.h"
   include "cv3param.h"
   include "conema3.h"
@@ -2513,4 +2519,6 @@
                        pbase, p, ph, tv, buoy, &
                        sig, w0, cape, m, iflag)
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   IMPLICIT NONE
 
@@ -2521,5 +2529,4 @@
 ! ===================================================================
 
-  include "cvthermo.h"
   include "cv3param.h"
 
@@ -2784,4 +2791,6 @@
 #endif
 #endif
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   USE cvflag_mod_h, ONLY: icvflag_Tpa, cvflag_grav, cvflag_ice, ok_optim_yield, ok_entrain, ok_homo_tend, &
           ok_convstop, ok_intermittent, cvflag_prec_eject, qsat_depends_on_qt, adiab_ascent_mass_flux_depends_on_ejectliq, keepbug_ice_frac
@@ -2793,5 +2802,4 @@
 ! ---------------------------------------------------------------------
 
-  include "cvthermo.h"
   include "cv3param.h"
 
@@ -3612,4 +3620,6 @@
 #endif
 #endif
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   USE cvflag_mod_h, ONLY: icvflag_Tpa, cvflag_grav, cvflag_ice, ok_optim_yield, ok_entrain, ok_homo_tend, &
           ok_convstop, ok_intermittent, cvflag_prec_eject, qsat_depends_on_qt, adiab_ascent_mass_flux_depends_on_ejectliq, keepbug_ice_frac
@@ -3617,5 +3627,4 @@
 
 
-  include "cvthermo.h"
   include "cv3param.h"
   include "nuage.h"
@@ -4725,9 +4734,10 @@
 #endif
 #endif
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   USE cvflag_mod_h, ONLY: icvflag_Tpa, cvflag_grav, cvflag_ice, ok_optim_yield, ok_entrain, ok_homo_tend, &
           ok_convstop, ok_intermittent, cvflag_prec_eject, qsat_depends_on_qt, adiab_ascent_mass_flux_depends_on_ejectliq, keepbug_ice_frac
   IMPLICIT NONE
 
-  include "cvthermo.h"
   include "cv3param.h"
   include "conema3.h"
@@ -7615,5 +7625,7 @@
                  , pbase, p, ph, tv, buoy, sig, w0,iflag &
                  , epmax_diag)
-        USE cvflag_mod_h, ONLY: icvflag_Tpa, cvflag_grav, cvflag_ice, ok_optim_yield, ok_entrain, ok_homo_tend, &
+        USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
+  USE cvflag_mod_h, ONLY: icvflag_Tpa, cvflag_grav, cvflag_ice, ok_optim_yield, ok_entrain, ok_homo_tend, &
           ok_convstop, ok_intermittent, cvflag_prec_eject, qsat_depends_on_qt, adiab_ascent_mass_flux_depends_on_ejectliq, keepbug_ice_frac
   implicit none
@@ -7624,5 +7636,4 @@
         ! Toutes les autres variables fn de ep sont calculees plus bas.
 
-  include "cvthermo.h"
   include "cv3param.h"
   include "conema3.h"
Index: LMDZ6/trunk/libf/phylmdiso/cv3p_mixing.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/cv3p_mixing.F90	(revision 5275)
+++ LMDZ6/trunk/libf/phylmdiso/cv3p_mixing.F90	(revision 5276)
@@ -39,9 +39,10 @@
 #endif
 #endif
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   USE cvflag_mod_h, ONLY: icvflag_Tpa, cvflag_grav, cvflag_ice, ok_optim_yield, ok_entrain, ok_homo_tend, &
           ok_convstop, ok_intermittent, cvflag_prec_eject, qsat_depends_on_qt, adiab_ascent_mass_flux_depends_on_ejectliq, keepbug_ice_frac
   IMPLICIT NONE
 
-  include "cvthermo.h"
   include "cv3param.h"
   include "YOMCST2.h"
Index: LMDZ6/trunk/libf/phylmdiso/cv_driver.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/cv_driver.F90	(revision 5275)
+++ LMDZ6/trunk/libf/phylmdiso/cv_driver.F90	(revision 5276)
@@ -1229,4 +1229,6 @@
 SUBROUTINE cv_flag(iflag_ice_thermo)
 
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   USE cvflag_mod_h, ONLY: icvflag_Tpa, cvflag_grav, cvflag_ice, ok_optim_yield, ok_entrain, ok_homo_tend, &
           ok_convstop, ok_intermittent, cvflag_prec_eject, qsat_depends_on_qt, adiab_ascent_mass_flux_depends_on_ejectliq, keepbug_ice_frac
@@ -1287,4 +1289,6 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   IMPLICIT NONE
 
@@ -1292,5 +1296,4 @@
   ! Set thermodynamical constants for convectL
   ! -------------------------------------------------------------
-  include "cvthermo.h"
 
   INTEGER iflag_con
Index: LMDZ6/trunk/libf/phylmdiso/cv_routines.f90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/cv_routines.f90	(revision 5275)
+++ LMDZ6/trunk/libf/phylmdiso/cv_routines.f90	(revision 5276)
@@ -3,4 +3,6 @@
 
 SUBROUTINE cv_param(nd)
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   IMPLICIT NONE
 
@@ -75,4 +77,6 @@
 
 SUBROUTINE cv_prelim(len, nd, ndp1, t, q, p, ph, lv, cpn, tv, gz, h, hm)
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   IMPLICIT NONE
 
@@ -93,5 +97,4 @@
   REAL cpx(len, nd)
 
-  include "cvthermo.h"
   include "cvparam.h"
 
@@ -254,7 +257,7 @@
 SUBROUTINE cv_undilute1(len, nd, t, q, qs, gz, p, nk, icb, icbmax, tp, tvp, &
     clw)
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   IMPLICIT NONE
-
-  include "cvthermo.h"
   include "cvparam.h"
 
@@ -481,4 +484,6 @@
 SUBROUTINE cv_undilute2(nloc, ncum, nd, icb, nk, tnk, qnk, gznk, t, q, qs, &
     gz, p, dph, h, tv, lv, inb, inb1, tp, tvp, clw, hp, ep, sigp, frac)
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   IMPLICIT NONE
 
@@ -492,6 +497,4 @@
   ! FIND THE LEVEL OF NEUTRAL BUOYANCY
   ! ---------------------------------------------------------------------
-
-  include "cvthermo.h"
   include "cvparam.h"
 
@@ -764,4 +767,6 @@
 SUBROUTINE cv_closure(nloc, ncum, nd, nk, icb, tv, tvp, p, ph, dph, plcl, &
     cpn, iflag, cbmf)
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   IMPLICIT NONE
 
@@ -782,5 +787,4 @@
   REAL work(nloc)
 
-  include "cvthermo.h"
   include "cvparam.h"
 
@@ -847,7 +851,8 @@
     h, lv, qnk, hp, tv, tvp, ep, clw, cbmf, m, ment, qent, uent, vent, nent, &
     sij, elij)
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   IMPLICIT NONE
 
-  include "cvthermo.h"
   include "cvparam.h"
 
@@ -1098,8 +1103,8 @@
 SUBROUTINE cv_unsat(nloc, ncum, nd, inb, t, q, qs, gz, u, v, p, ph, h, lv, &
     ep, sigp, clw, m, ment, elij, iflag, mp, qp, up, vp, wt, water, evap)
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   IMPLICIT NONE
 
-
-  include "cvthermo.h"
   include "cvparam.h"
 
@@ -1301,7 +1306,8 @@
     ment, qent, uent, vent, nent, elij, tv, tvp, iflag, wd, qprime, tprime, &
     precip, cbmf, ft, fq, fu, fv, ma, qcondc)
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   IMPLICIT NONE
 
-  include "cvthermo.h"
   include "cvparam.h"
 
Index: LMDZ6/trunk/libf/phylmdiso/cvthermo.h
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/cvthermo.h	(revision 5275)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/cvthermo.h
Index: LMDZ6/trunk/libf/phylmdiso/cvthermo_mod_h.f90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/cvthermo_mod_h.f90	(revision 5276)
+++ LMDZ6/trunk/libf/phylmdiso/cvthermo_mod_h.f90	(revision 5276)
@@ -0,0 +1,1 @@
+link ../phylmd/cvthermo_mod_h.f90
Index: LMDZ6/trunk/libf/phylmdiso/lmdz_wake.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/lmdz_wake.F90	(revision 5275)
+++ LMDZ6/trunk/libf/phylmdiso/lmdz_wake.F90	(revision 5276)
@@ -55,4 +55,6 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE cvthermo_mod_h, ONLY: cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0, clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl  &
+          , clmci, eps, epsi, epsim1, ginv, hrd, grav
   IMPLICIT NONE
   ! ============================================================================
@@ -144,9 +146,4 @@
   ! Cgw    : vitesse de propagation de onde de gravité
   ! LL     : distance entre 2 poches
-
-  ! -------------------------------------------------------------------------
-  ! Déclaration de variables
-  ! -------------------------------------------------------------------------
- include "cvthermo.h"
 
   ! Arguments en entree