Index: /LMDZ6/trunk/libf/dyn3d/advtrac.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/advtrac.f90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3d/advtrac.f90	(revision 5280)
@@ -9,4 +9,5 @@
    !            M.A Filiberti (04/2002)
    !
+   USE comdissip_mod_h
    USE infotrac,     ONLY: nqtot, tracers, isoCheck
    USE control_mod,  ONLY: iapp_tracvl, day_step
@@ -21,5 +22,4 @@
 
 
-   include "comdissip.h"
    include "comgeom2.h"
    include "description.h"
Index: /LMDZ6/trunk/libf/dyn3d/conf_gcm.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/conf_gcm.f90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3d/conf_gcm.f90	(revision 5280)
@@ -4,4 +4,5 @@
 SUBROUTINE conf_gcm( tapedef, etatinit )
 
+  USE comdissnew_mod_h
   USE control_mod
   use IOIPSL
@@ -38,5 +39,4 @@
 
 
-  include "comdissnew.h"
   include "iniprint.h"
 
Index: /LMDZ6/trunk/libf/dyn3d/dissip.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/dissip.f90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3d/dissip.f90	(revision 5280)
@@ -4,4 +4,6 @@
 SUBROUTINE dissip( vcov,ucov,teta,p, dv,du,dh )
   !
+  USE comdissipn_mod_h
+  USE comdissnew_mod_h
   USE comconst_mod, ONLY: dtdiss
 
@@ -33,6 +35,4 @@
 
   include "comgeom.h"
-  include "comdissnew.h"
-  include "comdissipn.h"
 
   !   Arguments:
Index: /LMDZ6/trunk/libf/dyn3d/gcm.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/gcm.f90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3d/gcm.f90	(revision 5280)
@@ -5,4 +5,5 @@
 !
 PROGRAM gcm
+  USE comdissnew_mod_h
   USE IOIPSL
   USE wxios  ! ug Pour les sorties XIOS
@@ -18,5 +19,5 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
   ! FH 2008/05/09 On elimine toutes les clefs physiques dans la dynamique
-  ! A nettoyer. On ne veut qu'une ou deux routines d'interface 
+  ! A nettoyer. On ne veut qu'une ou deux routines d'interface
   ! dynamique -> physique pour l'initialisation
   USE iniphysiq_mod, ONLY: iniphysiq
@@ -29,5 +30,5 @@
   !      ......   Version  du 10/01/98    ..........
 
-  !             avec  coordonnees  verticales hybrides 
+  !             avec  coordonnees  verticales hybrides
   !   avec nouveaux operat. dissipation * ( gradiv2,divgrad2,nxgraro2 )
 
@@ -56,5 +57,4 @@
   !   Declarations:
   !   -------------
-  include "comdissnew.h"
   include "comgeom.h"
   include "description.h"
Index: /LMDZ6/trunk/libf/dyn3d/leapfrog.F90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/leapfrog.F90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3d/leapfrog.F90	(revision 5280)
@@ -6,4 +6,5 @@
 SUBROUTINE leapfrog(ucov,vcov,teta,ps,masse,phis,q,time_0)
   !IM : pour sortir les param. du modele dans un fis. netcdf 110106
+  USE comdissnew_mod_h
   use IOIPSL
   USE infotrac, ONLY: nqtot, isoCheck
@@ -59,5 +60,4 @@
   !   Declarations:
   !   -------------
-  include "comdissnew.h"
   include "comgeom.h"
   include "description.h"
Index: /LMDZ6/trunk/libf/dyn3d/replay3d.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/replay3d.f90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3d/replay3d.f90	(revision 5280)
@@ -5,4 +5,5 @@
 !
 PROGRAM replay3d
+  USE comdissnew_mod_h
   USE comvert_mod, only :  preff, pa
   USE inigeomphy_mod, ONLY: inigeomphy
@@ -18,5 +19,5 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
   ! FH 2008/05/09 On elimine toutes les clefs physiques dans la dynamique
-  ! A nettoyer. On ne veut qu'une ou deux routines d'interface 
+  ! A nettoyer. On ne veut qu'une ou deux routines d'interface
   ! dynamique -> physique pour l'initialisation
   USE iniphysiq_mod, ONLY: iniphysiq
@@ -29,5 +30,5 @@
   !      ......   Version  du 10/01/98    ..........
 
-  !             avec  coordonnees  verticales hybrides 
+  !             avec  coordonnees  verticales hybrides
   !   avec nouveaux operat. dissipation * ( gradiv2,divgrad2,nxgraro2 )
 
@@ -56,5 +57,4 @@
   !   Declarations:
   !   -------------
-  include "comdissnew.h"
   include "comgeom2.h"
 
Index: /LMDZ6/trunk/libf/dyn3d/top_bound.F90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/top_bound.F90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3d/top_bound.F90	(revision 5280)
@@ -4,5 +4,6 @@
 SUBROUTINE top_bound(vcov,ucov,teta,masse,dt)
 
-  USE comconst_mod, ONLY: iflag_top_bound, mode_top_bound, &
+  USE comdissipn_mod_h
+USE comconst_mod, ONLY: iflag_top_bound, mode_top_bound, &
         tau_top_bound
   USE comvert_mod, ONLY: presnivs, preff, scaleheight
@@ -57,5 +58,4 @@
 
 
-INCLUDE "comdissipn.h"
 INCLUDE "iniprint.h"
 
Index: /LMDZ6/trunk/libf/dyn3d_common/adaptdt.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/adaptdt.f90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3d_common/adaptdt.f90	(revision 5280)
@@ -5,4 +5,5 @@
         masse)
 
+  USE comdissip_mod_h
   USE comconst_mod, ONLY: dtvr
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -13,5 +14,4 @@
 
 
-  include "comdissip.h"
   include "comgeom2.h"
   include "description.h"
Index: DZ6/trunk/libf/dyn3d_common/comdissip.h
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/comdissip.h	(revision 5279)
+++ 	(revision )
@@ -1,15 +1,0 @@
-!
-! $Header$
-!
-!-----------------------------------------------------------------------
-! INCLUDE comdissip.h
-
-      COMMON/comdissip/                                                 &
-     &    niterdis,coefdis,tetavel,tetatemp,gamdissip
-
-
-      INTEGER niterdis
-
-      REAL tetavel,tetatemp,coefdis,gamdissip
-
-!-----------------------------------------------------------------------
Index: /LMDZ6/trunk/libf/dyn3d_common/comdissip_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/comdissip_mod_h.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/comdissip_mod_h.f90	(revision 5280)
@@ -0,0 +1,8 @@
+! Replaces comdissip.h
+MODULE comdissip_mod_h
+  IMPLICIT NONE; PRIVATE
+  PUBLIC coefdis, tetavel, tetatemp, gamdissip, niterdis
+
+  INTEGER niterdis
+  REAL tetavel, tetatemp, coefdis, gamdissip
+END MODULE comdissip_mod_h
Index: DZ6/trunk/libf/dyn3d_common/comdissipn.h
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/comdissipn.h	(revision 5279)
+++ 	(revision )
@@ -1,20 +1,0 @@
-!
-! $Header$
-!
-!  Attention : ce fichier include est compatible format fixe/format libre
-!                 veillez à n'utiliser que des ! pour les commentaires
-!                 et à bien positionner les & des lignes de continuation 
-!                 (les placer en colonne 6 et en colonne 73)
-!-----------------------------------------------------------------------
-! INCLUDE comdissipn.h
-
-      REAL  tetaudiv, tetaurot, tetah, cdivu, crot, cdivh
-!
-      COMMON/comdissipn/ tetaudiv(llm),tetaurot(llm),tetah(llm)   ,     &
-     &                        cdivu,      crot,         cdivh
-
-!
-!    Les parametres de ce common proviennent des calculs effectues dans 
-!             Inidissip  .
-!
-!-----------------------------------------------------------------------
Index: /LMDZ6/trunk/libf/dyn3d_common/comdissipn_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/comdissipn_mod_h.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/comdissipn_mod_h.f90	(revision 5280)
@@ -0,0 +1,10 @@
+! Replaces comdissipn.h
+MODULE comdissipn_mod_h
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  IMPLICIT NONE; PRIVATE
+  PUBLIC tetaudiv, tetaurot, tetah, cdivu, crot, cdivh
+
+
+
+  REAL tetaudiv(llm), tetaurot(llm), tetah(llm), cdivu, crot, cdivh
+END MODULE comdissipn_mod_h
Index: DZ6/trunk/libf/dyn3d_common/comdissnew.h
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/comdissnew.h	(revision 5279)
+++ 	(revision )
@@ -1,30 +1,0 @@
-!
-! $Id$
-!
-!
-!  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
-!                 veillez à n'utiliser que des ! pour les commentaires
-!                 et à bien positionner les & des lignes de continuation 
-!                 (les placer en colonne 6 et en colonne 73)
-!
-!-----------------------------------------------------------------------
-! INCLUDE 'comdissnew.h'
-
-      COMMON/comdissnew/ lstardis,nitergdiv,nitergrot,niterh,tetagdiv,  &
-     &                   tetagrot,tetatemp,coefdis, vert_prof_dissip
-
-      LOGICAL lstardis
-      INTEGER nitergdiv, nitergrot, niterh
-
-      integer vert_prof_dissip ! vertical profile of horizontal dissipation
-!     Allowed values:
-!     0: rational fraction, function of pressure
-!     1: tanh of altitude
-
-      REAL     tetagdiv, tetagrot,  tetatemp, coefdis
-
-!
-! ... Les parametres de ce common comdissnew sont  lues par defrun_new 
-!              sur le fichier  run.def    ....
-!
-!-----------------------------------------------------------------------
Index: /LMDZ6/trunk/libf/dyn3d_common/comdissnew_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/comdissnew_mod_h.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/comdissnew_mod_h.f90	(revision 5280)
@@ -0,0 +1,19 @@
+! Replaces comdissnew.h
+
+MODULE comdissnew_mod_h
+  IMPLICIT NONE; PRIVATE
+  PUBLIC lstardis, nitergdiv, nitergrot, niterh, tetagdiv, &
+          tetagrot, tetatemp, coefdis, vert_prof_dissip
+
+  LOGICAL lstardis
+  INTEGER nitergdiv, nitergrot, niterh
+
+  INTEGER vert_prof_dissip ! vertical profile of horizontal dissipation
+  !     Allowed values:
+  !     0: rational fraction, function of pressure
+  !     1: tanh of altitude
+
+  REAL     tetagdiv, tetagrot, tetatemp, coefdis
+  ! ... Les parametres de ce lmdz_comdissnew sont  lues par defrun_new
+  !              sur le fichier  run.def    ....
+END MODULE comdissnew_mod_h
Index: /LMDZ6/trunk/libf/dyn3d_common/divgrad.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/divgrad.f90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3d_common/divgrad.f90	(revision 5280)
@@ -3,4 +3,5 @@
 !
 SUBROUTINE divgrad (klevel,h, lh, divgra )
+  USE comdissipn_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -26,5 +27,4 @@
 
   include "comgeom.h"
-  include "comdissipn.h"
   !
   INTEGER :: klevel
Index: /LMDZ6/trunk/libf/dyn3d_common/divgrad2.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/divgrad2.f90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3d_common/divgrad2.f90	(revision 5280)
@@ -13,4 +13,5 @@
   !     divgra     est  un argument  de sortie pour le s-prg
   !
+  USE comdissipn_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -21,5 +22,4 @@
 
   INCLUDE "comgeom2.h"
-  INCLUDE "comdissipn.h"
 
   !    .......    variables en arguments   .......
Index: /LMDZ6/trunk/libf/dyn3d_common/gradiv.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/gradiv.f90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3d_common/gradiv.f90	(revision 5280)
@@ -17,4 +17,5 @@
   !
   !
+  USE comdissipn_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -24,5 +25,4 @@
 
 
-  include "comdissipn.h"
 
   INTEGER :: klevel
Index: /LMDZ6/trunk/libf/dyn3d_common/gradiv2.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/gradiv2.f90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3d_common/gradiv2.f90	(revision 5280)
@@ -16,4 +16,5 @@
   !
   !
+  USE comdissipn_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -24,5 +25,4 @@
 
   INCLUDE "comgeom.h"
-  INCLUDE "comdissipn.h"
   !
   ! ........    variables en arguments      ........
Index: /LMDZ6/trunk/libf/dyn3d_common/inidissip.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/inidissip.f90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3d_common/inidissip.f90	(revision 5280)
@@ -11,4 +11,5 @@
   !   -------------
 
+  USE comdissipn_mod_h
   USE control_mod, only : dissip_period,iperiod
   USE comconst_mod, ONLY: dissip_deltaz, dissip_factz, dissip_zref, &
@@ -22,5 +23,4 @@
 
 
-  include "comdissipn.h"
   include "iniprint.h"
 
Index: /LMDZ6/trunk/libf/dyn3d_common/inigeom.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/inigeom.f90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3d_common/inigeom.f90	(revision 5280)
@@ -16,4 +16,5 @@
   !
   !
+  USE comdissnew_mod_h
   use fxhyp_m, only: fxhyp
   use fyhyp_m, only: fyhyp
@@ -30,5 +31,4 @@
 
   include "comgeom2.h"
-  include "comdissnew.h"
 
   !-----------------------------------------------------------------------
Index: /LMDZ6/trunk/libf/dyn3d_common/interpre.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/interpre.f90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3d_common/interpre.f90	(revision 5280)
@@ -6,4 +6,5 @@
          unatppm,vnatppm,psppm)
 
+  USE comdissip_mod_h
   USE comconst_mod, ONLY: g
   USE comvert_mod, ONLY: ap, bp
@@ -16,5 +17,4 @@
 
 
-  include "comdissip.h"
   include "comgeom2.h"
   include "description.h"
Index: /LMDZ6/trunk/libf/dyn3d_common/nxgraro2.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/nxgraro2.f90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3d_common/nxgraro2.f90	(revision 5280)
@@ -15,4 +15,5 @@
   !
   !
+  USE comdissipn_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -22,5 +23,4 @@
 
 
-  INCLUDE "comdissipn.h"
   !
   !    ......  variables en arguments  .......
Index: /LMDZ6/trunk/libf/dyn3d_common/nxgrarot.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/nxgrarot.f90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3d_common/nxgrarot.f90	(revision 5280)
@@ -16,4 +16,5 @@
   !
   !
+  USE comdissipn_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -24,5 +25,4 @@
 
 
-  include "comdissipn.h"
   !
   INTEGER :: klevel
Index: /LMDZ6/trunk/libf/dyn3d_common/traceurpole.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/traceurpole.f90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3d_common/traceurpole.f90	(revision 5280)
@@ -4,5 +4,6 @@
     subroutine traceurpole(q,masse)
 
-      USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+      USE comdissip_mod_h
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
@@ -11,5 +12,4 @@
 
 
-  include "comdissip.h"
   include "comgeom2.h"
   include "description.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/advtrac_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/advtrac_loc.f90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3dmem/advtrac_loc.f90	(revision 5280)
@@ -8,4 +8,5 @@
    !            M.A Filiberti (04/2002)
    !
+   USE comdissip_mod_h
    USE infotrac,     ONLY: nqtot, tracers
    USE control_mod,  ONLY: iapp_tracvl, day_step, planet_type
@@ -28,5 +29,4 @@
 
 
-   include "comdissip.h"
    include "comgeom2.h"
    include "description.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/conf_gcm.F90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/conf_gcm.F90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3dmem/conf_gcm.F90	(revision 5280)
@@ -4,4 +4,5 @@
 SUBROUTINE conf_gcm( tapedef, etatinit )
 
+  USE comdissnew_mod_h
   USE control_mod
   USE IOIPSL
@@ -43,5 +44,4 @@
 
 
-  include "comdissnew.h"
   include "iniprint.h"
 
Index: /LMDZ6/trunk/libf/dyn3dmem/dissip_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/dissip_loc.f90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3dmem/dissip_loc.f90	(revision 5280)
@@ -4,4 +4,6 @@
 SUBROUTINE dissip_loc( vcov,ucov,teta,p, dv,du,dh )
   !
+  USE comdissipn_mod_h
+  USE comdissnew_mod_h
   USE parallel_lmdz
   USE write_field_loc
@@ -36,6 +38,4 @@
 
   include "comgeom.h"
-  include "comdissnew.h"
-  include "comdissipn.h"
 
   !   Arguments:
Index: /LMDZ6/trunk/libf/dyn3dmem/divgrad2_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/divgrad2_loc.f90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3dmem/divgrad2_loc.f90	(revision 5280)
@@ -10,4 +10,5 @@
   !     divgra     est  un argument  de sortie pour le s-prg
   !
+  USE comdissipn_mod_h
   USE parallel_lmdz
   USE times
@@ -22,5 +23,4 @@
 
   INCLUDE "comgeom2.h"
-  INCLUDE "comdissipn.h"
 
   !    .......    variables en arguments   .......
Index: /LMDZ6/trunk/libf/dyn3dmem/gcm.F90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/gcm.F90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3dmem/gcm.F90	(revision 5280)
@@ -13,4 +13,5 @@
 !  USE mod_interface_dyn_phys, ONLY: init_interface_dyn_phys
 !#endif
+  USE comdissnew_mod_h
   USE mod_hallo
   USE Bands
@@ -60,5 +61,4 @@
   !   Declarations:
   !   -------------
-  include "comdissnew.h"
   include "comgeom.h"
   include "description.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/gradiv2_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/gradiv2_loc.f90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3dmem/gradiv2_loc.f90	(revision 5280)
@@ -13,4 +13,5 @@
   !
   !
+  USE comdissipn_mod_h
   USE parallel_lmdz
   USE times
@@ -27,5 +28,4 @@
 
   INCLUDE "comgeom.h"
-  INCLUDE "comdissipn.h"
   !
   ! ........    variables en arguments      ........
Index: /LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90	(revision 5280)
@@ -2,4 +2,5 @@
         masse0,phis0,q0,time_0)
 
+   USE comdissnew_mod_h
    USE misc_mod
    USE parallel_lmdz
@@ -75,5 +76,4 @@
   !   Declarations:
   !   -------------
-   include "comdissnew.h"
   include "comgeom.h"
   include "description.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/nxgraro2_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/nxgraro2_loc.f90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3dmem/nxgraro2_loc.f90	(revision 5280)
@@ -12,4 +12,5 @@
   !
   !
+  USE comdissipn_mod_h
   USE write_Field_p
   USE parallel_lmdz
@@ -25,5 +26,4 @@
 
 
-  INCLUDE "comdissipn.h"
   !
   !    ......  variables en arguments  .......
Index: /LMDZ6/trunk/libf/dyn3dmem/top_bound_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/top_bound_loc.f90	(revision 5279)
+++ /LMDZ6/trunk/libf/dyn3dmem/top_bound_loc.f90	(revision 5280)
@@ -3,4 +3,5 @@
 !
 SUBROUTINE top_bound_loc(vcov,ucov,teta,masse,dt)
+  USE comdissipn_mod_h
   USE parallel_lmdz
   USE comconst_mod, ONLY: iflag_top_bound, mode_top_bound, &
@@ -57,5 +58,4 @@
 
 
-  INCLUDE "comdissipn.h"
   INCLUDE "iniprint.h"
 
Index: /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90
===================================================================
--- /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 5279)
+++ /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 5280)
@@ -40,8 +40,9 @@
   USE temps_mod, ONLY: annee_ref, day_ref, itau_dyn, itau_phy, start_time
   USE strings_mod, ONLY: strLower
-  
+
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE comdissnew_mod_h
 IMPLICIT NONE
 
@@ -53,5 +54,4 @@
 
   include "comgeom2.h"
-  include "comdissnew.h"
   REAL, SAVE :: deg2rad
   INTEGER,            SAVE      :: iml_dyn, jml_dyn, llm_dyn, ttm_dyn, fid_dyn
Index: DZ6/trunk/libf/phylmd/dyn1d/comdissnew.h
===================================================================
--- /LMDZ6/trunk/libf/phylmd/dyn1d/comdissnew.h	(revision 5279)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../dyn3d_common/comdissnew.h
Index: /LMDZ6/trunk/libf/phylmd/dyn1d/comdissnew_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/dyn1d/comdissnew_mod_h.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/phylmd/dyn1d/comdissnew_mod_h.f90	(revision 5280)
@@ -0,0 +1,1 @@
+link ../../dyn3d_common/comdissnew_mod_h.f90