Index: LMDZ6/trunk/libf/dyn3d/abort_gcm.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/abort_gcm.F90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/abort_gcm.F90	(revision 5282)
@@ -6,9 +6,9 @@
 SUBROUTINE abort_gcm(modname, message, ierr)
 
-  USE IOIPSL
+  USE iniprint_mod_h
+USE IOIPSL
   !! ug Pour les sorties XIOS
   USE wxios
 
-INCLUDE "iniprint.h"
 
   !
Index: LMDZ6/trunk/libf/dyn3d/advtrac.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/advtrac.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/advtrac.f90	(revision 5282)
@@ -9,4 +9,5 @@
    !            M.A Filiberti (04/2002)
    !
+   USE iniprint_mod_h
    USE comgeom2_mod_h
    USE comdissip_mod_h
@@ -22,7 +23,4 @@
    !
 
-
-   include "description.h"
-   include "iniprint.h"
 
    !---------------------------------------------------------------------------
Index: LMDZ6/trunk/libf/dyn3d/bilan_dyn.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/bilan_dyn.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/bilan_dyn.f90	(revision 5282)
@@ -10,4 +10,5 @@
   !             vQ..A=Cp T + L * ...
 
+  USE iniprint_mod_h
   USE comgeom2_mod_h
   USE IOIPSL
@@ -23,5 +24,4 @@
 
 
-  include "iniprint.h"
 
   !====================================================================
Index: LMDZ6/trunk/libf/dyn3d/conf_gcm.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/conf_gcm.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/conf_gcm.f90	(revision 5282)
@@ -4,4 +4,5 @@
 SUBROUTINE conf_gcm( tapedef, etatinit )
 
+  USE iniprint_mod_h
   USE comdissnew_mod_h
   USE control_mod
@@ -39,5 +40,4 @@
 
 
-  include "iniprint.h"
 
   !   local:
Index: LMDZ6/trunk/libf/dyn3d/dynetat0.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/dynetat0.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/dynetat0.f90	(revision 5282)
@@ -6,4 +6,5 @@
 ! Purpose: Initial state reading.
 !-------------------------------------------------------------------------------
+  USE iniprint_mod_h
   USE comgeom2_mod_h
   USE infotrac,    ONLY: nqtot, tracers, niso, iqIsoPha, iH2O, isoName, &
@@ -31,7 +32,5 @@
 
 
-  include "description.h"
-  include "iniprint.h"
-!===============================================================================
+  !===============================================================================
 ! Arguments:
   CHARACTER(LEN=*), INTENT(IN) :: fichnom          !--- FILE NAME
Index: LMDZ6/trunk/libf/dyn3d/dynredem.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/dynredem.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/dynredem.f90	(revision 5282)
@@ -23,10 +23,8 @@
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
   USE comgeom2_mod_h
+  USE iniprint_mod_h
 IMPLICIT NONE
 
-
-  include "description.h"
-  include "iniprint.h"
-!===============================================================================
+  !===============================================================================
 ! Arguments:
   CHARACTER(LEN=*), INTENT(IN) :: fichnom          !--- FILE NAME
@@ -174,10 +172,9 @@
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
   USE comgeom_mod_h
+  USE iniprint_mod_h
 IMPLICIT NONE
 
 
-  include "description.h"
-  include "iniprint.h"
-!===============================================================================
+  !===============================================================================
 ! Arguments:
   CHARACTER(LEN=*), INTENT(IN) :: fichnom              !-- FILE NAME
Index: LMDZ6/trunk/libf/dyn3d/fluxstokenc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/fluxstokenc.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/fluxstokenc.f90	(revision 5282)
@@ -6,5 +6,6 @@
   ! This routine is designed to work with ioipsl
 
-   USE comgeom_mod_h
+   USE iniprint_mod_h
+  USE comgeom_mod_h
   USE IOIPSL
   !
@@ -22,5 +23,4 @@
 
   include "tracstoke.h"
-  include "iniprint.h"
 
   REAL :: time_step,t_wrt, t_ops
Index: LMDZ6/trunk/libf/dyn3d/friction.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/friction.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/friction.f90	(revision 5282)
@@ -4,4 +4,5 @@
 !=======================================================================
 SUBROUTINE friction(ucov,vcov,pdt)
+  USE iniprint_mod_h
   USE comgeom2_mod_h
   USE control_mod
@@ -26,5 +27,4 @@
 
 
-  include "iniprint.h"
   include "academic.h"
 
Index: LMDZ6/trunk/libf/dyn3d/gcm.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/gcm.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/gcm.f90	(revision 5282)
@@ -5,4 +5,5 @@
 !
 PROGRAM gcm
+  USE iniprint_mod_h
   USE comgeom_mod_h
   USE comdissnew_mod_h
@@ -58,6 +59,4 @@
   !   Declarations:
   !   -------------
-  include "description.h"
-  include "iniprint.h"
   include "tracstoke.h"
 
@@ -116,5 +115,4 @@
   abort_message = 'last timestep reached'
   modname = 'gcm'
-  descript = 'Run GCM LMDZ'
   lafin    = .FALSE.
   dynhist_file = 'dyn_hist.nc'
Index: LMDZ6/trunk/libf/dyn3d/guide_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/guide_mod.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/guide_mod.f90	(revision 5282)
@@ -8,4 +8,5 @@
 !            F. Codron 01/09
 !=======================================================================
+    USE iniprint_mod_h
     USE getparam, only: ini_getparam, fin_getparam, getpar
   USE Write_Field
@@ -368,5 +369,4 @@
 
 
-    INCLUDE "iniprint.h"
 
 
Index: LMDZ6/trunk/libf/dyn3d/iniacademic.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/iniacademic.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/iniacademic.f90	(revision 5282)
@@ -4,4 +4,5 @@
 SUBROUTINE iniacademic(vcov,ucov,teta,q,masse,ps,phis,time_0)
 
+  USE iniprint_mod_h
   USE comgeom_mod_h
   USE filtreg_mod, ONLY: inifilr
@@ -38,5 +39,4 @@
 
   include "academic.h"
-  include "iniprint.h"
 
   !   Arguments:
Index: LMDZ6/trunk/libf/dyn3d/integrd.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/integrd.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/integrd.f90	(revision 5282)
@@ -7,4 +7,5 @@
         )
 
+  USE iniprint_mod_h
   USE comgeom_mod_h
   use control_mod, only : planet_type
@@ -37,5 +38,4 @@
 
 
-  include "iniprint.h"
 
   !   Arguments:
Index: LMDZ6/trunk/libf/dyn3d/leapfrog.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/leapfrog.F90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/leapfrog.F90	(revision 5282)
@@ -6,4 +6,5 @@
 SUBROUTINE leapfrog(ucov,vcov,teta,ps,masse,phis,q,time_0)
   !IM : pour sortir les param. du modele dans un fis. netcdf 110106
+  USE iniprint_mod_h
   USE comgeom_mod_h
   USE comdissnew_mod_h
@@ -61,6 +62,4 @@
   !   Declarations:
   !   -------------
-  include "description.h"
-  include "iniprint.h"
   include "academic.h"
 
Index: LMDZ6/trunk/libf/dyn3d/sw_case_williamson91_6.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/sw_case_williamson91_6.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/sw_case_williamson91_6.f90	(revision 5282)
@@ -26,4 +26,5 @@
   !
   !=======================================================================
+  USE iniprint_mod_h
   USE comgeom_mod_h
   USE comconst_mod, ONLY: cpp, omeg, rad
@@ -40,5 +41,4 @@
 
 
-  include "iniprint.h"
 
   !   Arguments:
Index: LMDZ6/trunk/libf/dyn3d/top_bound.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/top_bound.F90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/top_bound.F90	(revision 5282)
@@ -4,5 +4,6 @@
 SUBROUTINE top_bound(vcov,ucov,teta,masse,dt)
 
-  USE comgeom2_mod_h
+  USE iniprint_mod_h
+USE comgeom2_mod_h
   USE comdissipn_mod_h
 USE comconst_mod, ONLY: iflag_top_bound, mode_top_bound, &
@@ -58,5 +59,4 @@
 
 
-INCLUDE "iniprint.h"
 
   !   Arguments:
Index: LMDZ6/trunk/libf/dyn3d/vlsplt.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/vlsplt.F90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/vlsplt.F90	(revision 5282)
@@ -142,9 +142,9 @@
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE iniprint_mod_h
 IMPLICIT NONE
   !
 
 
-  include "iniprint.h"
   !
   !