Index: LMDZ6/trunk/libf/phylmd/dyn1d/1DUTILS.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/1DUTILS.h	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/1DUTILS.h	(revision 5285)
@@ -1131,6 +1131,5 @@
 !
       USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
@@ -1352,16 +1351,5 @@
 !   sans WTG rajouter une advection horizontale
 !----------------------------------------------------------------------
-        USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+        USE yomcst_mod_h
 implicit none
 
@@ -1438,16 +1426,5 @@
 !   sans WTG rajouter une advection horizontale
 !----------------------------------------------------------------------
-        USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+        USE yomcst_mod_h
 implicit none
 
@@ -1531,16 +1508,5 @@
   USE dimphy
 
-  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+  USE yomcst_mod_h
   USE yoethf_mod_h
 implicit none
@@ -1625,16 +1591,5 @@
   USE dimphy
 
-  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+  USE yomcst_mod_h
   USE yoethf_mod_h
 implicit none
@@ -1794,16 +1749,5 @@
 
        USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+USE yomcst_mod_h
 implicit none
 
Index: LMDZ6/trunk/libf/phylmd/dyn1d/1Dconv.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/1Dconv.h	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/1Dconv.h	(revision 5285)
@@ -6,16 +6,5 @@
      &       Ts,imp_fcg,ts_fcg,Tp_fcg,Turb_fcg)                                 
 !
-        USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+        USE yomcst_mod_h
 implicit none
 
Index: LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read_std.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read_std.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read_std.f90	(revision 5285)
@@ -932,16 +932,5 @@
 
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+USE yomcst_mod_h
 implicit none
 
Index: LMDZ6/trunk/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5285)
@@ -1463,16 +1463,5 @@
      &             ,ufa_astex,vfa_astex,div_prof,ts_prof,ug_prof,vg_prof   &
      &             ,ufa_prof,vfa_prof)
-        USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+        USE yomcst_mod_h
       implicit none
 
@@ -2399,16 +2388,5 @@
             nf90_inq_dimid,nf90_inquire_dimension
 
-      USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+      USE yomcst_mod_h
 implicit none
 
@@ -2741,16 +2719,5 @@
 !program reading initial profils and forcings of the Gabls4 case study
 
-      USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+      USE yomcst_mod_h
       USE netcdf, ONLY: nf90_open,nf90_nowrite,nf90_noerr,nf90_strerror,nf90_inq_varid,nf90_get_var,&
             nf90_inq_dimid,nf90_inquire_dimension
Index: LMDZ6/trunk/libf/phylmd/dyn1d/old_lmdz1d.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/old_lmdz1d.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/old_lmdz1d.f90	(revision 5285)
@@ -51,16 +51,5 @@
    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
    USE dimsoil_mod_h, ONLY: nsoilmx
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+USE yomcst_mod_h
 implicit none
 
Index: LMDZ6/trunk/libf/phylmd/dyn1d/scm.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/scm.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/scm.f90	(revision 5285)
@@ -47,16 +47,5 @@
    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
    USE dimsoil_mod_h, ONLY: nsoilmx
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+USE yomcst_mod_h
 implicit none
 