Index: /LMDZ6/trunk/libf/dyn3d/friction.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/friction.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/dyn3d/friction.f90	(revision 5292)
@@ -11,4 +11,5 @@
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
   USE paramet_mod_h
+  USE academic_mod_h, ONLY: kfrict
 IMPLICIT NONE
 
@@ -24,7 +25,4 @@
   !                   iniacademic.F)
   !=======================================================================
-
-
-  include "academic.h"
 
   ! arguments:
Index: /LMDZ6/trunk/libf/dyn3d/iniacademic.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/iniacademic.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/dyn3d/iniacademic.f90	(revision 5292)
@@ -4,5 +4,6 @@
 SUBROUTINE iniacademic(vcov,ucov,teta,q,masse,ps,phis,time_0)
 
-  USE iniprint_mod_h
+USE academic_mod_h
+    USE iniprint_mod_h
   USE comgeom_mod_h
   USE filtreg_mod, ONLY: inifilr
@@ -37,5 +38,4 @@
 
 
-  include "academic.h"
 
   !   Arguments:
Index: /LMDZ6/trunk/libf/dyn3d/leapfrog.F90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/leapfrog.F90	(revision 5291)
+++ /LMDZ6/trunk/libf/dyn3d/leapfrog.F90	(revision 5292)
@@ -29,4 +29,5 @@
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
   USE paramet_mod_h
+  USE academic_mod_h, ONLY: tetarappel, knewt_t, knewt_g, clat4
   IMPLICIT NONE
 
@@ -61,5 +62,4 @@
   !   Declarations:
   !   -------------
-  include "academic.h"
 
   REAL,INTENT(IN) :: time_0 ! not used
Index: DZ6/trunk/libf/dyn3d_common/academic.h
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/academic.h	(revision 5291)
+++ 	(revision )
@@ -1,9 +1,0 @@
-!
-! $Id$
-!
-      common/academic/tetarappel,knewt_t,kfrict,knewt_g,clat4
-      real :: tetarappel(ip1jmp1,llm)
-      real :: knewt_t(llm)
-      real :: kfrict(llm)
-      real :: knewt_g
-      real :: clat4(ip1jmp1)
Index: /LMDZ6/trunk/libf/dyn3d_common/academic_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/academic_mod_h.f90	(revision 5292)
+++ /LMDZ6/trunk/libf/dyn3d_common/academic_mod_h.f90	(revision 5292)
@@ -0,0 +1,16 @@
+! Replaces academic.h
+
+MODULE academic_mod_h
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE paramet_mod_h
+  IMPLICIT NONE; PRIVATE
+
+  PUBLIC tetarappel, knewt_t, kfrict, knewt_g, clat4
+
+  REAL :: tetarappel(ip1jmp1, llm)
+  REAL :: knewt_t(llm)
+  REAL :: kfrict(llm)
+  REAL :: knewt_g
+  REAL :: clat4(ip1jmp1)
+
+END MODULE academic_mod_h
Index: /LMDZ6/trunk/libf/dyn3dmem/friction_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/friction_loc.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/dyn3dmem/friction_loc.f90	(revision 5292)
@@ -12,4 +12,5 @@
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
   USE paramet_mod_h
+  USE academic_mod_h, ONLY: kfrict
 IMPLICIT NONE
 
@@ -25,7 +26,4 @@
   !                   iniacademic.F)
   !=======================================================================
-
-
-  include "academic.h"
 
   ! arguments:
Index: /LMDZ6/trunk/libf/dyn3dmem/iniacademic_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/iniacademic_loc.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/dyn3dmem/iniacademic_loc.f90	(revision 5292)
@@ -4,5 +4,6 @@
 SUBROUTINE iniacademic_loc(vcov,ucov,teta,q,masse,ps,phis,time_0)
 
-  USE iniprint_mod_h
+USE academic_mod_h
+    USE iniprint_mod_h
   USE comgeom_mod_h
   USE filtreg_mod, ONLY: inifilr
@@ -38,5 +39,4 @@
 
 
-  include "academic.h"
 
   !   Arguments:
Index: /LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90	(revision 5292)
@@ -45,4 +45,5 @@
    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
    USE paramet_mod_h
+   USE academic_mod_h, ONLY: tetarappel, knewt_t, knewt_g, clat4
 IMPLICIT NONE
 
@@ -77,6 +78,4 @@
   !   Declarations:
   !   -------------
-  include "academic.h"
-
   REAL,INTENT(IN) :: time_0 ! not used
 
Index: /LMDZ6/trunk/libf/phylmd/Dust/aeropt_spl.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/aeropt_spl.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/phylmd/Dust/aeropt_spl.f90	(revision 5292)
@@ -8,5 +8,6 @@
         taue550_dustsco,taue670_dustsco,taue865_dustsco)
   !
-  USE dimphy
+USE chem_mod_h
+    USE dimphy
   USE infotrac
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -14,5 +15,4 @@
 IMPLICIT none
   !
-  INCLUDE "chem.h"
 
   !INCLUDE "dimphy.h"
Index: /LMDZ6/trunk/libf/phylmd/Dust/bcscav_spl.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/bcscav_spl.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/phylmd/Dust/bcscav_spl.f90	(revision 5292)
@@ -5,4 +5,5 @@
   USE yomcst_mod_h
   USE yoecumf_mod_h
+  USE chem_mod_h
 IMPLICIT NONE
   !=====================================================================
@@ -11,7 +12,5 @@
   ! Auteur: O. Boucher (LOA)
   !=====================================================================
-  !
 
-  INCLUDE "chem.h"
   !
   REAL :: pdtime, alpha_r, alpha_s, R_r, R_s
Index: /LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav.f90	(revision 5292)
@@ -5,5 +5,6 @@
         his_dhbclsc,his_dhbccon,tr_seri)
 
-  USE dimphy
+USE chem_mod_h
+    USE dimphy
   USE indice_sol_mod
   USE infotrac
@@ -14,5 +15,4 @@
 
 
-  INCLUDE "chem.h"
 
 
Index: /LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav_lsc.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav_lsc.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav_lsc.f90	(revision 5292)
@@ -5,5 +5,6 @@
         his_dhbclsc,his_dhbccon,tr_seri)
 
-  USE dimphy
+USE chem_mod_h
+    USE dimphy
   USE indice_sol_mod
   USE infotrac
@@ -14,5 +15,4 @@
 
 
-  INCLUDE "chem.h"
 
 
Index: DZ6/trunk/libf/phylmd/Dust/chem_spla.h
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/chem_spla.h	(revision 5291)
+++ 	(revision )
@@ -1,14 +1,0 @@
-!
-! $Header$
-!
-
-      INTEGER ss_bins
-      PARAMETER (ss_bins=2)
-
-!      INTEGER nbreg_dust,nbreg_ind, nbreg_bb
-!      PARAMETER (nbreg_dust=11,nbreg_ind=13,nbreg_bb=15)
-
-      REAL masse_ammsulfate
-      PARAMETER (masse_ammsulfate=132.0)              !--g mol-1
-
-
Index: /LMDZ6/trunk/libf/phylmd/Dust/chem_spla_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/chem_spla_mod_h.f90	(revision 5292)
+++ /LMDZ6/trunk/libf/phylmd/Dust/chem_spla_mod_h.f90	(revision 5292)
@@ -0,0 +1,8 @@
+MODULE chem_spla_mod_h
+  IMPLICIT NONE; PRIVATE
+  PUBLIC ss_bins, masse_ammsulfate
+
+  INTEGER, PARAMETER :: ss_bins = 2
+  REAL, PARAMETER :: masse_ammsulfate = 132.0  !--g mol-1
+END MODULE chem_spla_mod_h
+
Index: /LMDZ6/trunk/libf/phylmd/Dust/coarsemission.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/coarsemission.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/phylmd/Dust/coarsemission.f90	(revision 5292)
@@ -26,5 +26,7 @@
   !
 
-  USE dimphy
+USE chem_spla_mod_h
+  USE chem_mod_h
+    USE dimphy
   USE indice_sol_mod
   USE infotrac
@@ -37,6 +39,4 @@
 
 
-  INCLUDE "chem.h"
-  INCLUDE "chem_spla.h"
 
 
Index: /LMDZ6/trunk/libf/phylmd/Dust/deposition.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/deposition.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/phylmd/Dust/deposition.f90	(revision 5292)
@@ -6,5 +6,6 @@
         his_ds,source_tr,tr_seri)
 
-  USE dimphy
+USE chem_mod_h
+    USE dimphy
   USE infotrac
   USE indice_sol_mod
@@ -16,5 +17,4 @@
 
 
-  INCLUDE "chem.h"
 
 
Index: /LMDZ6/trunk/libf/phylmd/Dust/finemission.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/finemission.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/phylmd/Dust/finemission.f90	(revision 5292)
@@ -11,5 +11,6 @@
         source_tr,flux_tr,tr_seri)
 
-  USE dimphy
+USE chem_mod_h
+    USE dimphy
   USE indice_sol_mod
   USE infotrac
@@ -21,5 +22,4 @@
 
 
-  INCLUDE "chem.h"
 
 
Index: /LMDZ6/trunk/libf/phylmd/Dust/gastoparticle.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/gastoparticle.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/phylmd/Dust/gastoparticle.f90	(revision 5292)
@@ -4,5 +4,7 @@
   !nhl     .                         fluxso4chem, flux_sparam_sulf,
 
-USE yoecumf_mod_h
+USE chem_spla_mod_h
+  USE chem_mod_h
+  USE yoecumf_mod_h
     USE dimphy
   USE infotrac
@@ -14,6 +16,4 @@
   !
 
-  INCLUDE "chem.h"
-  INCLUDE "chem_spla.h"
 
   !
Index: /LMDZ6/trunk/libf/phylmd/Dust/incloud_scav.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/incloud_scav.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/phylmd/Dust/incloud_scav.f90	(revision 5292)
@@ -5,5 +5,6 @@
         his_dhlsc,his_dhcon1,tr_seri)
 
-  USE dimphy
+USE chem_mod_h
+    USE dimphy
   USE infotrac
   USE indice_sol_mod
@@ -15,5 +16,4 @@
 
 
-  INCLUDE "chem.h"
 
 
Index: /LMDZ6/trunk/libf/phylmd/Dust/incloud_scav_lsc.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/incloud_scav_lsc.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/phylmd/Dust/incloud_scav_lsc.f90	(revision 5292)
@@ -5,5 +5,6 @@
         his_dhlsc,his_dhcon1,tr_seri)
 
-  USE dimphy
+USE chem_mod_h
+    USE dimphy
   USE infotrac
   USE indice_sol_mod
@@ -15,5 +16,4 @@
 
 
-  INCLUDE "chem.h"
 
 
Index: /LMDZ6/trunk/libf/phylmd/Dust/inscav_spl.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/inscav_spl.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/phylmd/Dust/inscav_spl.f90	(revision 5292)
@@ -6,4 +6,5 @@
   USE yomcst_mod_h
   USE yoecumf_mod_h
+  USE chem_mod_h
 IMPLICIT NONE
   !=====================================================================
@@ -12,7 +13,5 @@
   ! Auteur: O. Boucher (LOA)
   !=====================================================================
-  !
 
-  INCLUDE "chem.h"
   !
   INTEGER :: it
Index: /LMDZ6/trunk/libf/phylmd/Dust/lsc_scav_orig.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/lsc_scav_orig.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/phylmd/Dust/lsc_scav_orig.f90	(revision 5292)
@@ -16,4 +16,5 @@
   USE yomcst_mod_h
   USE yoecumf_mod_h
+  USE chem_mod_h
 IMPLICIT NONE
 !=====================================================================
@@ -24,6 +25,4 @@
 !=====================================================================
 
-
-  include "chem.h"
 
   REAL,INTENT(IN)                        :: pdtime ! time step (s)
Index: /LMDZ6/trunk/libf/phylmd/Dust/lsc_scav_spl.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/lsc_scav_spl.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/phylmd/Dust/lsc_scav_spl.f90	(revision 5292)
@@ -17,4 +17,5 @@
   USE yomcst_mod_h
   USE yoecumf_mod_h
+  USE chem_mod_h
 IMPLICIT NONE
 !=====================================================================
@@ -26,6 +27,4 @@
 ! SPLA version taken from trunk revision 2041
 
-
-  include "chem.h"
 
   REAL,INTENT(IN)                        :: pdtime ! time step (s)
Index: /LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5291)
+++ /LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5292)
@@ -4,9 +4,8 @@
 MODULE phytracr_spl_mod
 
-! Recuperation des morceaux de la physique de Jeronimo specifiques
-! du modele d'aerosols d'Olivier n'co.
-!
-INCLUDE "chem.h"
-INCLUDE "chem_spla.h"
+  ! Recuperation des morceaux de la physique de Jeronimo specifiques
+  ! du modele d'aerosols d'Olivier n'co.
+  USE chem_mod_h
+  USE chem_spla_mod_h
 
   REAL,SAVE  :: scale_param_ssacc  !Scaling parameter for Fine Sea Salt
@@ -812,4 +811,5 @@
       USE alpale_mod
       USE yoethf_mod_h
+      USE chem_mod_h
       IMPLICIT none
 !
@@ -825,8 +825,4 @@
 !! AS : nqmax-2 devrait etre nqmax-3 apres introducton de H2Oi ;
 !!   et c'est encore different avec le parser de DC ?
-!======================================================================
-      INCLUDE "chem.h"
-      INCLUDE "chem_spla.h"
-
 !======================================================================
 
Index: /LMDZ6/trunk/libf/phylmd/Dust/precuremission.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/precuremission.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/phylmd/Dust/precuremission.f90	(revision 5292)
@@ -16,5 +16,7 @@
         source_tr,flux_tr,tr_seri)
 
-  USE dimphy
+USE chem_spla_mod_h
+  USE chem_mod_h
+    USE dimphy
   USE indice_sol_mod
   USE infotrac
@@ -26,6 +28,4 @@
 
 
-  INCLUDE "chem.h"
-  INCLUDE "chem_spla.h"
 
 
Index: /LMDZ6/trunk/libf/phylmd/Dust/read_newemissions.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/read_newemissions.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/phylmd/Dust/read_newemissions.f90	(revision 5292)
@@ -18,5 +18,7 @@
         lmt_omnat, lmt_omba)
 
-  USE dimphy
+USE chem_spla_mod_h
+  USE chem_mod_h
+    USE dimphy
   USE indice_sol_mod
   USE mod_grid_phy_lmdz
@@ -31,6 +33,4 @@
    ! INCLUDE 'dimphy.h'
 
-  INCLUDE 'chem.h'
-  INCLUDE 'chem_spla.h'
    ! INCLUDE 'indicesol.h'
 
Index: /LMDZ6/trunk/libf/phylmd/Dust/seasalt.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/seasalt.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/phylmd/Dust/seasalt.f90	(revision 5292)
@@ -4,5 +4,7 @@
 SUBROUTINE seasalt(v_10m, u_10m, pct_ocean, lmt_sea_salt)
 
-USE yoecumf_mod_h
+USE chem_spla_mod_h
+  USE chem_mod_h
+  USE yoecumf_mod_h
     USE dimphy
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -11,6 +13,4 @@
   !
 
-  INCLUDE "chem.h"
-  INCLUDE "chem_spla.h"
 
   !
Index: /LMDZ6/trunk/libf/phylmd/Dust/sediment_mod.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/sediment_mod.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/phylmd/Dust/sediment_mod.f90	(revision 5292)
@@ -8,5 +8,6 @@
   !nhl     .                                       xlon,xlat,
   !
-USE yoecumf_mod_h
+USE chem_mod_h
+  USE yoecumf_mod_h
      USE dimphy
    USE infotrac
@@ -16,5 +17,4 @@
   !
 
-  INCLUDE "chem.h"
     ! INCLUDE "dimphy.h"
 
Index: /LMDZ6/trunk/libf/phylmd/Dust/trconvect.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/trconvect.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/phylmd/Dust/trconvect.f90	(revision 5292)
@@ -4,5 +4,6 @@
         dtrconv,tr_seri)
 
-  USE dimphy
+USE chem_mod_h
+    USE dimphy
   USE infotrac
   USE indice_sol_mod
@@ -14,5 +15,4 @@
 
 
-  INCLUDE "chem.h"
 
 
Index: DZ6/trunk/libf/phylmd/chem.h
===================================================================
--- /LMDZ6/trunk/libf/phylmd/chem.h	(revision 5291)
+++ 	(revision )
@@ -1,14 +1,0 @@
-!
-! $Header$
-!
-      INTEGER idms, iso2, iso4, ih2s, idmso, imsa, ih2o2
-      PARAMETER (idms=1, iso2=2, iso4=3)
-      PARAMETER (ih2s=4, idmso=5, imsa=6, ih2o2=7)
-
-      REAL n_avogadro, masse_s, masse_so4, rho_water, rho_ice
-      PARAMETER (n_avogadro=6.02E23)                  !--molec mol-1
-      PARAMETER (masse_s=32.0)                        !--g mol-1
-      PARAMETER (masse_so4=96.0)                      !--g mol-1
-      PARAMETER (rho_water=1000.0)                    !--kg m-3
-      PARAMETER (rho_ice=500.0)                       !--kg m-3
-
Index: /LMDZ6/trunk/libf/phylmd/chem_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/chem_mod_h.f90	(revision 5292)
+++ /LMDZ6/trunk/libf/phylmd/chem_mod_h.f90	(revision 5292)
@@ -0,0 +1,18 @@
+MODULE chem_mod_h
+  IMPLICIT NONE; PRIVATE
+  PUBLIC idms, iso2, iso4, ih2s, idmso, imsa, ih2o2, &
+          n_avogadro, masse_s, masse_so4, rho_water, rho_ice
+
+  INTEGER idms, iso2, iso4, ih2s, idmso, imsa, ih2o2
+  PARAMETER (idms = 1, iso2 = 2, iso4 = 3)
+  PARAMETER (ih2s = 4, idmso = 5, imsa = 6, ih2o2 = 7)
+
+  REAL n_avogadro, masse_s, masse_so4, rho_water, rho_ice
+  PARAMETER (n_avogadro = 6.02E23)                  !--molec mol-1
+  PARAMETER (masse_s = 32.0)                        !--g mol-1
+  PARAMETER (masse_so4 = 96.0)                      !--g mol-1
+  PARAMETER (rho_water = 1000.0)                    !--kg m-3
+  PARAMETER (rho_ice = 500.0)                       !--kg m-3
+
+END MODULE chem_mod_h
+
Index: /LMDZ6/trunk/libf/phylmd/cvltr_scav.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/cvltr_scav.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/phylmd/cvltr_scav.f90	(revision 5292)
@@ -11,5 +11,6 @@
      zmfd1a,zmfphi2,zmfdam)
   !
-USE yoecumf_mod_h
+USE chem_mod_h
+  USE yoecumf_mod_h
   USE conema3_mod_h
     USE IOIPSL
@@ -25,5 +26,4 @@
 
 
-  include "chem.h"
 
   ! Entree
Index: /LMDZ6/trunk/libf/phylmd/cvltr_spl.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/cvltr_spl.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/phylmd/cvltr_spl.f90	(revision 5292)
@@ -11,5 +11,6 @@
            qPa,qMel,qTrdi,dtrcvMA,Mint,                   &
            zmfd1a,zmfphi2,zmfdam)
-USE yoecumf_mod_h
+USE chem_mod_h
+  USE yoecumf_mod_h
   USE conema3_mod_h
     USE IOIPSL
@@ -25,5 +26,4 @@
 
 
-  include "chem.h"
 
 ! Entree
Index: /LMDZ6/trunk/libf/phylmd/lsc_scav.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/lsc_scav.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/phylmd/lsc_scav.f90	(revision 5292)
@@ -14,4 +14,5 @@
   USE yomcst_mod_h
   USE yoecumf_mod_h
+  USE chem_mod_h
 IMPLICIT NONE
 !=====================================================================
@@ -21,6 +22,4 @@
 ! last modification 16/01/2013 (reformulation partie evaporation)
 !=====================================================================
-
-  include "chem.h"
 
 ! inputs
Index: /LMDZ6/trunk/libf/phylmd/readaerosol_interp.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/readaerosol_interp.f90	(revision 5291)
+++ /LMDZ6/trunk/libf/phylmd/readaerosol_interp.f90	(revision 5292)
@@ -13,5 +13,6 @@
 ! 4) Test for negative mass values
 
-  USE clesphys_mod_h
+USE chem_mod_h
+    USE clesphys_mod_h
   USE ioipsl
   USE dimphy, ONLY : klev,klon
@@ -28,5 +29,4 @@
 
 
-  INCLUDE "chem.h"
 
 !
Index: DZ6/trunk/libf/phylmdiso/chem.h
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/chem.h	(revision 5291)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/chem.h
Index: /LMDZ6/trunk/libf/phylmdiso/chem_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/chem_mod_h.f90	(revision 5292)
+++ /LMDZ6/trunk/libf/phylmdiso/chem_mod_h.f90	(revision 5292)
@@ -0,0 +1,1 @@
+link ../phylmd/chem_mod_h.f90